Bug 1616109 - 7.6 Alpha - Lenovo P52 gnome-shell, suspend reboots machine
Summary: 7.6 Alpha - Lenovo P52 gnome-shell, suspend reboots machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Ben Skeggs
QA Contact: Desktop QE
Tomas Capek
URL:
Whiteboard:
Depends On:
Blocks: 1586275 1621561 1654742 1707454 1602778
TreeView+ depends on / blocked
 
Reported: 2018-08-14 23:13 UTC by Paul Gozart
Modified: 2020-05-12 22:04 UTC (History)
13 users (show)

Fixed In Version: kernel-3.10.0-1020.el7
Doc Type: Known Issue
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:09:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:09:33 UTC

Internal Links: 1835009

Description Paul Gozart 2018-08-14 23:13:06 UTC
Description of problem:
The suspend button on a P52 running RHEL 7.6 Alpha reboots the machine.


Version-Release number of selected component (if applicable):
RHEL 7.6 Alpha


How reproducible:
Always


Steps to Reproduce:
1. Install 7.6 Alpha on P52.
2. Configure, login to gnome.
3. Attempt to suspend machine using suspend button.


Actual results:
Lenovo P52 reboots.


Expected results:
System is suspended (not rebooted)


Additional info:
- sosreport attached
- Add nouveau.modeset=0 prevents the reboot, but display does not wake up.

Comment 7 Paul Gozart 2018-08-30 16:28:52 UTC
Customer said this issue exists on 7.5 as well as 7.6 Snapshot 1.  He also said adding nouveau.modeset=0 prevents the reboot, but then the display does not wake up.

Comment 9 Benjamin Tissoires 2018-09-13 12:48:46 UTC
Apologies for the inconvenience. We won't be able to make 7.6 GA with this bug.
Moving to 7.7.

Comment 20 Benjamin Tissoires 2019-05-06 13:49:05 UTC
Made more tests and confirmed this is fixed in latest 7.7 kernel:

Discrete graphics mode:
kernel-3.10.0-1019.el7: can not wake up from suspend
kernel-3.10.0-1020.el7: resume works fine

Hybrid graphics mode:
there is still the runtime PM issue, but it is tracked in bug #1616369, but with nouveau.runpm=0 suspend/resume works fine since 3.10.0-957.el7

Comment 29 errata-xmlrpc 2019-08-06 12:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2029

Comment 30 Paul Gozart 2019-08-12 15:46:56 UTC
TAM customer reports this is NOT fixed in 7.7...


This still isn't fixed in 7.7 GA when using Discrete mode on the P52.

The system suspends but resume forces a restart.
 
Adding nouveau.modeset=0 seems to fix the restart but the system still doesn't resume successfully. It just resumes to a blank screen (see RH 02161288). 

Vanilla RHEL 7.7 GA install using kernel-3.10.0-1062.el7.x86_64 
BIOS is latest...N2CET44W (1.27)

Comment 31 Benjamin Tissoires 2019-08-13 17:15:23 UTC
I just re-tried this with 7.7 GA kernel (kernel-3.10.0-1062.el7.x86_64)
Both in discrete and in hybrid mode, suspend/resume works.

But I am running the kernel with nouveau.runpm=0 appended to the kernel command line, because this is known to be broken to not use this kernel parameters on this machine.
And yes, if you do not append nouveau.runpm=0, then yes, suspend is broken, but any P52 should have nouveau.runpm=0.

Comment 32 Vamshee Paduru 2019-08-28 14:54:32 UTC
We see the same behaviour mentioned above..

I just re-tried this with 7.7 GA kernel (kernel-3.10.0-1062.el7.x86_64)
Both in discrete and in hybrid mode, suspend/resume works.

But I am running the kernel with nouveau.runpm=0 appended to the kernel command line, because this is known to be broken to not use this kernel parameters on this machine.
And yes, if you do not append nouveau.runpm=0, then yes, suspend is broken, but any P52 should have nouveau.runpm=0.


Let us know.

Comment 33 Benjamin Tissoires 2019-08-28 16:37:04 UTC
Interestingly, I just pulled all of the latest firmware updates through fwupdmgr.

I am now on BIOS 1.27, and I can now boot and suspend the laptop *without* appending nouveau.runpm=0

The NVIDIA card is not initialized but we rely on llvmpipe for discrete mode.
I can't see a force reboot or a crash that introduces a black screen.

So on the P52 I have here, with a fresh 7.7 install and all the firmware updates installed, we should not experience this bug anymore.
FWIW, the installer is also working fine now.

(the fact that the NVIDIA card doesn't work is a different issue)

Comment 34 jloscar 2020-04-16 16:12:48 UTC
The customer is saying,

"The problem persists in RHEL 7.8 with or without "nouveau.runpm=0".  Resume still causes the system to restart.
I tested with vanilla RHEL 7.8 (not IBM's build) and the latest P52 BIOS, v1.33."

Joshua

Comment 35 jloscar 2020-05-12 22:04:41 UTC
This was a fresh install of 7.8.

I'll be creating a new ticket in RHEL 7.8 and linking it to this one.

https://bugzilla.redhat.com/show_bug.cgi?id=1835009


Note You need to log in before you can comment on or make changes to this bug.